Get an attribute
curl --request GET \
--url https://api.attio.com/v2/{target}/{identifier}/attributes/{attribute} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.attio.com/v2/{target}/{identifier}/attributes/{attribute}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.attio.com/v2/{target}/{identifier}/attributes/{attribute}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": {
"workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
"object_id": "97052eb9-e65e-443f-a297-f2d9a4a7f795",
"attribute_id": "41252299-f8c7-4b5e-99c9-4ff8321d2f96"
},
"title": "Company",
"description": "A company attribute",
"api_slug": "company",
"type": "record-reference",
"is_system_attribute": false,
"is_writable": true,
"is_required": false,
"is_unique": false,
"is_multiselect": false,
"is_default_value_enabled": false,
"is_archived": false,
"default_value": null,
"relationship": {
"id": {
"workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
"object_id": "97052eb9-e65e-443f-a297-f2d9a4a7f795",
"attribute_id": "41252299-f8c7-4b5e-99c9-4ff8321d2f96"
},
"object_slug": "companies",
"title": "Team members",
"api_slug": "team_members",
"is_multiselect": true
},
"created_at": "2021-11-21T13:22:49.061Z",
"config": {
"currency": {
"default_currency_code": null,
"display_type": null
},
"record_reference": {
"allowed_object_ids": [
"companies"
]
}
}
}
}{
"status_code": 404,
"type": "invalid_request_error",
"code": "not_found",
"message": "Attribute with slug/ID \"my-attribute\" not found."
}Attributes
Get an attribute
Gets information about a single attribute on either an object or a list.
When target is objects, the required scopes are object_configuration:read. When target is lists, the required scopes are list_configuration:read.
GET
/
v2
/
{target}
/
{identifier}
/
attributes
/
{attribute}
Get an attribute
Authorizations
This API uses OAuth 2.0 with the authorization code grant flow.
Path Parameters
Whether the attribute is on an object or a list.
Available options:
objects, lists Example:
"lists"
A UUID or slug to identify the object or list the attribute belongs to.
Example:
"33ebdbe9-e529-47c9-b894-0ba25e9c15c0"
A UUID or slug to identify the attribute.
Example:
"41252299-f8c7-4b5e-99c9-4ff8321d2f96"
Response
Success
Success
Show child attributes
Show child attributes
Example:
{
"id": {
"workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
"object_id": "97052eb9-e65e-443f-a297-f2d9a4a7f795",
"attribute_id": "41252299-f8c7-4b5e-99c9-4ff8321d2f96"
},
"title": "Company",
"description": "A company attribute",
"api_slug": "company",
"type": "record-reference",
"is_system_attribute": false,
"is_writable": true,
"is_required": false,
"is_unique": false,
"is_multiselect": false,
"is_default_value_enabled": false,
"is_archived": false,
"default_value": null,
"relationship": {
"id": {
"workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
"object_id": "97052eb9-e65e-443f-a297-f2d9a4a7f795",
"attribute_id": "41252299-f8c7-4b5e-99c9-4ff8321d2f96"
},
"object_slug": "companies",
"title": "Team members",
"api_slug": "team_members",
"is_multiselect": true
},
"created_at": "2021-11-21T13:22:49.061Z",
"config": {
"currency": {
"default_currency_code": null,
"display_type": null
},
"record_reference": { "allowed_object_ids": ["companies"] }
}
}
Was this page helpful?
⌘I